summaryrefslogtreecommitdiff
path: root/libre/blender
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2020-12-13 12:14:57 -0500
committerbill-auger <mr.j.spam.me@gmail.com>2020-12-13 12:16:09 -0500
commita766065d396a8a5a3a7fd22569285847e77fdb3a (patch)
treea2ab12a711a23f6c1c2b278b74194f48898418a3 /libre/blender
parentc2c0afc386592358eb78fa90e02f8b248080ff95 (diff)
[blender]: tweak for i686
Diffstat (limited to 'libre/blender')
-rw-r--r--libre/blender/PKGBUILD15
1 files changed, 10 insertions, 5 deletions
diff --git a/libre/blender/PKGBUILD b/libre/blender/PKGBUILD
index 6abd605b2..8783dad73 100644
--- a/libre/blender/PKGBUILD
+++ b/libre/blender/PKGBUILD
@@ -15,12 +15,12 @@
pkgname=blender
pkgver=2.91.0
pkgrel=4
-pkgrel+=.parabola1
+pkgrel+=.parabola2
epoch=17
_pythonver_x86_64=3.9
-_pythonvver_i686=3.8
-_pythonvver_armv7h=3.9
-eval "_python_ver=\$_pythonvver_${CARCH}"
+_pythonver_i686=3.8
+_pythonver_armv7h=3.9
+eval "_python_ver=\$_pythonver_${CARCH}"
pkgdesc="A fully integrated 3D graphics creation suite"
pkgdesc+=", without non-free CUDA or optix support"
arch=('x86_64')
@@ -36,7 +36,7 @@ depends_x86_64=('embree' 'openimagedenoise')
depends_i686=('embree')
makedepends=('cmake' 'boost' 'mesa' 'git' 'llvm' 'ninja')
if [[ "${CARCH}" == 'i686' ]]
-then # FIXME: special case deps - presently, 'openxr' is only in [community-testing]
+then # FIXME: special case deps - presently, 'openxr' is only in [community-testing]
depends[21]='openimageio=2.1.16.0' # but 'community-testing/openimageio' is incompatible with 'openshadinglanguage', so we must specify the one in [community]
depends+=('jsoncpp=1.9.4') # also 'extra/jsoncpp' is incompatible with 'openxr', so we must specify the one in [testing]
makedepends[0]='cmake=3.18.1' # and 'extra/cmake' is incompatible with 'testing/jsoncpp', so we must specify the one in [testing]
@@ -138,9 +138,14 @@ package() {
cd "$pkgname"
# pin to tightly-coupled dependency versions
+ # NOTE: indirect sodeps may still be unsatisfyable:
+ # libboost_filesystem.so <- openimageio,
+ # libboost_thread.so <- openshadinglanguage
depends+=( libboost_locale.so
$(_version_constraint openexr 2) # eg: libHalf.so.12
+$( [[ "${CARCH}" == 'i686' ]] && echo 'openimageio=2.1.16.0' || echo \
$(_version_constraint openimageio 2) # eg: libOpenImageIO.so.2.0
+) # FIXME: special case dep
$(_version_constraint openshadinglanguage 2) # eg: liboslcomp.so.1.10
$(_version_constraint opensubdiv 3) # eg: libosdGPU.so.3.3.3
$(_version_constraint openvdb 2) # eg: libopenvdb.so.6.2